---
title: "人工智能中阶"
date: 2018-12-29
lastmod: 2020-01-05
weight: 2
type: docs
icon: #
description: "中阶路线图"
# search related keywords
keywords: ["人工智能","中阶"]
---


![高校俱乐部](https://codechina.csdn.net/codechina/operation-work/uploads/53b24f5f44d3c851890b1789ed501001/%E9%AB%98%E6%A0%A1%E4%BF%B1%E4%B9%90%E9%83%A8320.jpg)

<p style="text-align:center;font-weight:bold;">关注“高校俱乐部”微信公众号，回复“路线图”，快人一步获取高清全套技术路线图</p>

<br>


{{< embed-pdf-view url="/images/AI.pdf" >}}


### 编程

- Cython和C++基础
- OpenMP使用
- TensorRT模型部署

### 深度学习应用

- 常见网络
  - Transformer系列
  - TabNet
- 推荐系统基础
  - 传统模型协同过滤等
  - 经典的深度学习模型(如xDeepFM)和后续进展
- 图网络基础

### CV

- 更复杂的训练方法
  - 学习率的调整和优化器的选择
  - 不同backbone的结合
  - 数据扩充的方法
- OpenCV的使用
- 数据自动扩充方法
- 人脸识别
- 姿态估计
- 图像生成及GAN的使用
- Encoder基础
- Super Resolution及应用
- OCR

### NLP

- 更复杂的训练方法
  - Transformer的拼接和其他语言模型的拼接
  - 不同backbone的结合
  - 文本数据扩充方法
- Adversarial-training
- 文本生成
- 指代消解
- 实体链接
- 知识抽取和构建
- 阅读理解

### RL

- 基本RL训练方法
- Q-learning和Policy Gradient的提升
- Exploration问题
- Immitation Learning