---
title: "人工智能初阶"
date: 2018-12-29
lastmod: 2020-01-05
weight: 1
type: docs
icon: #
description: "初阶路线图"
# search related keywords
keywords: ["人工智能","初阶"]
---


![高校俱乐部](https://codechina.csdn.net/codechina/operation-work/uploads/53b24f5f44d3c851890b1789ed501001/%E9%AB%98%E6%A0%A1%E4%BF%B1%E4%B9%90%E9%83%A8320.jpg)

<p style="text-align:center;font-weight:bold;">关注“高校俱乐部”微信公众号，回复“路线图”，快人一步获取高清全套技术路线图</p>

<br>


{{< embed-pdf-view url="/images/AI.pdf" >}}


### 数学基础

- 微积分
- 线性代数
- 朴素概率论
- 朴素统计学理论
- 朴素优化理论

### 编程基础

- Python基础语法
- Pandas基础操作
- SQL基本操作
- Spark基本操作
- PyTorch基本操作
- TensorFlow 2.x基本操作

### 传统表格化机器学习

- 传统模型及对应工具
  - 线性回归
  - 逻辑回归
  - SVM
  - KNN
  - MLP
- 树和集成树模型
  - Random Forest和Extra Trees
  - XGBoost
  - LightGBM
  - CatBoost
- 常见特征构建方法
  - 基于业务理解的特征构建方式
  - 常见的encoder
  - 常见的机遇探索性分析和Bad-Case分析方法构建模型
- 常见特征选择方法
  - 基于单变量检验的选择方法
  - 基于模型的自带选择方式(如树模型、线性回归、逻辑回归、L1损失等)
- 常见Stacking方法

### CV基础

- 基本卷积神经网络的实现
- 图像分类经典模型
- 图像检测经典模型
- 图像分割经典模型

### NLP基础
- 传统NLP模型
  - Word Embedding
  - LSTM
  - TextCNN
- 预训练语言模型基础
- 文本分类
- 文本序列标注

### RL基础

  - 基本RL Q-learning和Policy Gradient算法

### 数学

- 高等概率论和数理统计
  - 高等概率论
  - 高等数理统计
  - 随机过程
  - 随机分析
- 统计学模型
  - 计量经济学模型
  - 统计学模型
